# Class ApfloatArithmeticException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.ArithmeticException
org.apfloat.ApfloatArithmeticException

All Implemented Interfaces:
  `Serializable, ApfloatLocalizedException`

public class ApfloatArithmeticException extends ArithmeticException implements ApfloatLocalizedException
Exception indicating a mathematical condition. For example if the result would be infinite or undefined, this exception is thrown.

Since:
  1.15.0
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApfloatArithmeticException()`
  Constructs a new apfloat arithmetic exception with an empty detail message.
  `ApfloatArithmeticException(String message)`
  Constructs a new apfloat arithmetic exception with the specified detail message.
  `ApfloatArithmeticException(String message, String localizationKey, Object... localizationArgs)`
  Constructs a new apfloat arithmetic exception with the specified detail message and localization data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getLocalizationArgs()`
  Returns the localization arguments.
  `String`
  `getLocalizationKey()`
  Returns the localization key.
  `String`
  `getLocalizedMessage()`
  Returns the localized detail message.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ApfloatLocalizedException

  `getMessage`

- ## Constructor Details

  - ### ApfloatArithmeticException

    public ApfloatArithmeticException()
    Constructs a new apfloat arithmetic exception with an empty detail message.

  - ### ApfloatArithmeticException

    public ApfloatArithmeticException(String message)
    Constructs a new apfloat arithmetic exception with the specified detail message.
    Parameters:
      `message` - The detail message.

  - ### ApfloatArithmeticException

    public ApfloatArithmeticException(String message, String localizationKey, Object... localizationArgs)
    Constructs a new apfloat arithmetic exception with the specified detail message and localization data.
    Parameters:
      `message` - The detail message.
      `localizationKey` - The localization key.
      `localizationArgs` - The localization arguments.

- ## Method Details

  - ### getLocalizedMessage

    public String getLocalizedMessage()
    Description copied from interface: `ApfloatLocalizedException`
    Returns the localized detail message.
    Specified by:
      `getLocalizedMessage` in interface `ApfloatLocalizedException`
    Overrides:
      `getLocalizedMessage` in class `Throwable`
    Returns:
      The localized detail message.

  - ### getLocalizationKey

    public String getLocalizationKey()
    Returns the localization key.
    Specified by:
      `getLocalizationKey` in interface `ApfloatLocalizedException`
    Returns:
      The localization key.

  - ### getLocalizationArgs

    public Object[] getLocalizationArgs()
    Returns the localization arguments.
    Specified by:
      `getLocalizationArgs` in interface `ApfloatLocalizedException`
    Returns:
      The localization arguments.